Package org.eclipse.microprofile.lra.tck.participant.api

# Class RecoveryResource

java.lang.Object
org.eclipse.microprofile.lra.tck.participant.api.RecoveryResource

@Path("recovery-resource") @ApplicationScoped public class RecoveryResource extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final long`
`LRA_TIMEOUT`
`static final String`
`RECOVERY_RESOURCE_PATH`
`static final String`
`REQUIRED_PATH`
`static final String`
`REQUIRED_TIMEOUT_PATH`

## Constructor Summary

Constructors
Constructor
Description
`RecoveryResource()`

## Method Summary

Modifier and Type
Method
Description
`jakarta.ws.rs.core.Response`
`afterLRA(URI lraId, LRAStatus lraStatus)`
`jakarta.ws.rs.core.Response`
`compensate(URI lraId)`
`jakarta.ws.rs.core.Response`
`requiredLRA(URI lraId)`
`jakarta.ws.rs.core.Response`
`requiredTimeoutLRA(URI lraId)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### RECOVERY_RESOURCE_PATH

public static final String RECOVERY_RESOURCE_PATH

See Also:
  - Constant Field Values

### REQUIRED_PATH

public static final String REQUIRED_PATH

See Also:
  - Constant Field Values

### REQUIRED_TIMEOUT_PATH

public static final String REQUIRED_TIMEOUT_PATH

See Also:
  - Constant Field Values

### LRA_TIMEOUT

public static final long LRA_TIMEOUT

See Also:
  - Constant Field Values

## Constructor Details

### RecoveryResource

public RecoveryResource()

## Method Details

### requiredLRA

@PUT @Path("required") public jakarta.ws.rs.core.Response requiredLRA(@HeaderParam("Long-Running-Action") URI lraId)

### requiredTimeoutLRA

@PUT @Path("required-timeout") public jakarta.ws.rs.core.Response requiredTimeoutLRA(@HeaderParam("Long-Running-Action") URI lraId)

### compensate

@PUT @Path("/compensate") public jakarta.ws.rs.core.Response compensate(@HeaderParam("Long-Running-Action") URI lraId)

### afterLRA

@PUT @Path("/after") public jakarta.ws.rs.core.Response afterLRA(@HeaderParam("Long-Running-Action-Ended") URI lraId, LRAStatus lraStatus)